# parameters for the heat equation in 1D
## \partial_t u = \alpha \partial^2_{xx} u + f(t,x)

## initial datum: 0
## boundary data: 1 +- sin
## better DIRICHLET

## physical parameters
xMin = -2. # x minimmal
xMax = 2.  # x maximal
tMin = 0.  # t minimal
tMax = 10.  # t maximal
uMin = -0.1  # u minimal (for the graph only)
uMax = 2.1  # u maximal (for the graph only)

## numerical parameters
nx = 250 # number of x points
ttp = numpy.linspace(tMin, tMax, 51) # times to plot


## Equation coefficient
## coefficient
alpha = 1.

## source
def F(t,x): # output same size as x
    return numpy.zeros_like(x)

## Data
## datum at t = tMin
def Initial(x):
    return numpy.ones_like(x)

## datum at x = xMin
def Left(t):
    return 1+numpy.sin(t)

## datum at x = xMax
def Right(t):
    return 1-numpy.sin(t)

keep_npz = False
keep_png = False
keep_avi = True
